An_PCD_pH
Alerta na PCD em função do valor de pH

local var1 = ph

-- print(var1)

local ph_n_min = 6.1
local ph_n_max = 7.3

local ph_at_min = 5.9
local ph_at_max = 7.6

if var1 ==nil or (var1 > ph_n_min and var1 < ph_n_max) then
  return 1 -- Observacao
elseif (var1 > ph_at_min and var1 <= ph_n_min) or (var1 >= ph_n_max and var1 < ph_at_max) then
  return 2 -- Atencao
elseif (var1 <= ph_at_min) or (var1 >= ph_at_max) then
  return 3 -- Alerta
  else
--  return 4 -- Alerta maximo
end

--------------------------------------------
An_PCD_Condutividade
Alerta na PCD em função do valor de Condutividade

local var1 = condut

-- print(var1)

local condut_n_min = 12.4
local condut_n_max = 156.6

local condut_at_min = 0.0
local condut_at_max = 192.6

if var1 ==nil or (var1 > condut_n_min and var1 < condut_n_max) then
    return 1 -- Observacao
elseif (var1 > condut_at_min and var1 <= condut_n_min) or (var1 >= condut_n_max and var1 < 
condut_at_max) then
  return 2 -- Atencao
elseif (var1 <= condut_at_min) or (var1 >= condut_at_max) then
  return 3 -- Alerta
  else
--  return 4 -- Alerta maximo
end

--------------------------------------------
An_PCD_OD
Alerta na PCD em função do valor do Oxigenio Dissolvido

local var1 = od

-- print(var1)

local od_n_min = 2.2
local od_n_max = 7.7

local od_at_min = 1.0
local od_at_max = 8.6

if var1 ==nil or (var1 > od_n_min and var1 < od_n_max) then
    return 1 -- Observacao
elseif (var1 > od_at_min and var1 <= od_n_min) or (var1 >= od_n_max and var1 < od_at_max) then
  return 2 -- Atencao
elseif (var1 <= od_at_min) or (var1 >= od_at_max) then
  return 3 -- Alerta
  else
--  return 4 -- Alerta maximo
end


------------------------------------
An_PCD_Turbidez
Alerta na PCD em função do valor da Turbidez

local var1 = turbidez

-- print(var1)

local turbidez_n_min = 0.1
local turbidez_n_max = 134.5

local turbidez_at_min = 0.0
local turbidez_at_max = 188.5

if var1 ==nil or (var1 > turbidez_n_min and var1 < turbidez_n_max) then
    return 1 -- Observacao
elseif (var1 > turbidez_at_min and var1 <= turbidez_n_min) or (var1 >= turbidez_n_max and var1 < 
turbidez_at_max) then
  return 2 -- Atencao
elseif (var1 <= turbidez_at_min) or (var1 >= turbidez_at_max) then
  return 3 -- Alerta
  else
--  return 4 -- Alerta maximo
end


-------------------------------------------
An_PCD_Temperatura_da_Agua
Alerta na PCD em função do valor da Temperatura da Agua

local var1 = tempagua

-- print(var1)

local tempagua_n_min = 17.0
local tempagua_n_max = 29.0

local tempagua_at_min = 14.0
local tempagua_at_max = 32.0

if var1 ==nil or (var1 > tempagua_n_min and var1 < tempagua_n_max) then
    return 1 -- Observacao
elseif (var1 > tempagua_at_min and var1 <= tempagua_n_min) or (var1 >= tempagua_n_max and var1 < 
tempagua_at_max) then
  return 2 -- Atencao
elseif (var1 <= tempagua_at_min) or (var1 >= tempagua_at_max) then
  return 3 -- Alerta
  else
--  return 4 -- Alerta maximo
end

-------------------------------------------------
An_Lanc_OD
Alerta nas empresas com lançamento na bacia em função do valor do Oxigenio Dissolvido

local var1 = minimo('PCDQA','od')

-- print(var1)

local od_n_min = 2.2
local od_n_max = 7.7

local od_at_min = 1.0
local od_at_max = 8.6

if var1 ==nil or (var1 > od_n_min and var1 < od_n_max) then
    return 1 -- Observacao
elseif (var1 > od_at_min and var1 <= od_n_min) or (var1 >= od_n_max and var1 < od_at_max) then
  return 2 -- Atencao
elseif (var1 <= od_at_min) or (var1 >= od_at_max) then
  return 3 -- Alerta
  else
--  return 4 -- Alerta maximo
end

--------------------------------------------------------
An_Lanc_Condutividade
Alerta nas empresas com lançamento na bacia em função do valor da Condutividade

local var1 = minimo('PCDQA','condut')

-- print(var1)

local condut_n_min = 12.4
local condut_n_max = 156.6

local condut_at_min = 0.0
local condut_at_max = 192.6

if var1 ==nil or (var1 > condut_n_min and var1 < condut_n_max) then
    return 1 -- Observacao
elseif (var1 > condut_at_min and var1 <= condut_n_min) or (var1 >= condut_n_max and var1 < 
condut_at_max) then
  return 2 -- Atencao
elseif (var1 <= condut_at_min) or (var1 >= condut_at_max) then
  return 3 -- Alerta
  else
--  return 4 -- Alerta maximo
end

----------------------------------------------
An_Lanc_Turbidez
Alerta nas empresas com lançamento na bacia em função do valor da Turbidez

local var1 = minimo('PCDQA','turbidez')

-- print(var1)

local turbidez_n_min = 0.1
local turbidez_n_max = 134.5

local turbidez_at_min = 0.0
local turbidez_at_max = 188.5

if var1 ==nil or (var1 > turbidez_n_min and var1 < turbidez_n_max) then
    return 1 -- Observacao
elseif (var1 > turbidez_at_min and var1 <= turbidez_n_min) or (var1 >= turbidez_n_max and var1 < 
turbidez_at_max) then
  return 2 -- Atencao
elseif (var1 <= turbidez_at_min) or (var1 >= turbidez_at_max) then
  return 3 -- Alerta
  else
--  return 4 -- Alerta maximo
end

--------------------------------------------------------
An_Lanc_pH
Alerta nas empresas com lançamento na bacia em função do valor do pH.

local var1 = minimo('PCDQA','ph')

-- print(var1)

local ph_n_min = 6.1
local ph_n_max = 7.3

local ph_at_min = 5.9
local ph_at_max = 7.6

if var1 ==nil or (var1 > ph_n_min and var1 < ph_n_max) then
  return 1 -- Observacao
elseif (var1 > ph_at_min and var1 <= ph_n_min) or (var1 >= ph_n_max and var1 < ph_at_max) then
  return 2 -- Atencao
elseif (var1 <= ph_at_min) or (var1 >= ph_at_max) then
  return 3 -- Alerta
  else
--  return 4 -- Alerta maximo
end

------------------------------------------------------------
An_Lanc_Temperatura_da_Agua
Alerta nas empresas com lançamento na bacia em função do valor da Temperatura da Agua.

local var1 = minimo('PCDQA','tempagua')

-- print(var1)

local tempagua_n_min = 17.0
local tempagua_n_max = 29.0

local tempagua_at_min = 14.0
local tempagua_at_max = 32.0

if var1 ==nil or (var1 > tempagua_n_min and var1 < tempagua_n_max) then
    return 1 -- Observacao
elseif (var1 > tempagua_at_min and var1 <= tempagua_n_min) or (var1 >= tempagua_n_max and var1 < 
tempagua_at_max) then
  return 2 -- Atencao
elseif (var1 <= tempagua_at_min) or (var1 >= tempagua_at_max) then
  return 3 -- Alerta
  else
--  return 4 -- Alerta maximo
end


